* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;

	/*By default, our elements border, padding are calculated */
}

/*
	margin - space outside element.
	border - space between margin and padding.
	padding - space inside element.

	margin: <value>; - adds margin on all sides.
	margin: <top, bottom> <left, right>; 
	margin: <top> <left, right> <bottom>;
	margin: <top> <right> <bottom> <left>;


*/


#div1 {
/*	margin: 100px 10px 5px 50px;*/
	border: 2px solid black;
	padding: 20px;
	background-color: red;
	height: 100px;
	width: 100px;
	display: inline-block;
	vertical-align: top;
}

	/*without box-sizing or the default: 

		width is calculated by this: ;

		2px left border + 20px left padding + 150 width + 20px right padding + 2px right border = 144px

		box-sizing: content box; - border and padding are added on the top of width
		
		box-sizing prperty allowa to detemine how we calculate the size of element.

		with box-sizzing: ;

		Width is calculated likke this: ;

		2px border + 20pxpx left  padding ++ 56 content width + 20px right padding + 2px right border = 100px

		box-sizzing:  border-box: border and padding is included in the total width of our element;

		Inline vs block vs innline-block

			block - will occupy the whole width of its parent therefore it breaks the line. however, we can manipulate the heeight and width of our block element

			inline - will only occupy the size of its contect. You cant  set the witdh and height of an inline elemnent. This will then display elements beside each other.
			(based on the size of the content)

			inline-block - woorks like an inline elemennt wherin it will not start on a new line annd will put elemennts beside each other, however, with inline-block, you can set the width and the height.

		vertical-align:top;  - will allows us to align our iteems vertically from the top. Itis usually used in conjuction with inline-bloock element.





	*/

#div2 {
	border: 2px solid black;
	padding: 20px;
	background-color: orange;
	height: 100px;
	width: 100px;
	display: inline-block;
	vertical-align: top;

}

#span1 {
	display: inline-block;
	border: 2px solid black;
	background-color: green;
	height: 100px;
	width: 100px;

}

#span2 {
	display: inline-block;
	border: 2px solid black;
	background-color: blue;
	height: 100px;
	width: 100px;
}